Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.thoughtworks.selenium
Class DefaultSelenium

    java.lang.Object
      com.thoughtworks.selenium.DefaultSelenium

All Implemented Interfaces:
  Selenium

public class DefaultSelenium
extends java.lang.Object
implements Selenium

The default implementation of the Selenium interface; end users will primarily interact with this object.

Field Summary
`protected CommandProcessor` | `commandProcessor`

Constructor Summary
`DefaultSelenium(CommandProcessor processor)` Uses an arbitrary CommandProcessor
`DefaultSelenium(java.lang.String serverHost, int serverPort, java.lang.String browserStartCommand, java.lang.String browserURL)` Uses a CommandBridgeClient, specifying a server host/port, a command to launch the browser, and a starting URL for the browser.

Method Summary
`void` | `addSelection(java.lang.String locator, java.lang.String optionLocator)` Add a selection to the set of selected options in a multi-select element using an option locator.
`void` | `answerOnNextPrompt(java.lang.String answer)` Instructs Selenium to return the specified answer string in response to the next JavaScript prompt [window.prompt()].
`void` | `check(java.lang.String locator)` Check a toggle-button (checkbox/radio)
`void` | `chooseCancelOnNextConfirmation()` By default, Selenium's overridden window.confirm() function will return true, as if the user had manually clicked OK.
`void` | `click(java.lang.String locator)` Clicks on a link, button, checkbox or radio button.
`void` | `close()` Simulates the user clicking the "close" button in the titlebar of a popup window or tab.
`void` | `fireEvent(java.lang.String locator, java.lang.String eventName)` Explicitly simulate an event, to trigger the corresponding "onevent" handler.
`java.lang.String` | `getAlert()` Retrieves the message of a JavaScript alert generated during the previous action, or fail if there were no alerts.
`java.lang.String[]` | `getAllButtons()` Returns the IDs of all buttons on the page.
`java.lang.String[]` | `getAllFields()` Returns the IDs of all input fields on the page.
`java.lang.String[]` | `getAllLinks()` Returns the IDs of all links on the page.
`java.lang.String` | `getAttribute(java.lang.String attributeLocator)` Gets the value of an element attribute.
`java.lang.String` | `getBodyText()` Gets the entire text of the page.
`java.lang.String` | `getConfirmation()` Retrieves the message of a JavaScript confirmation dialog generated during the previous action.
`java.lang.Number` | `getCursorPosition(java.lang.String locator)` Retrieves the text cursor position in the given input element or textarea; beware, this may not work perfectly on all browsers.
`java.lang.String` | `getEval(java.lang.String script)` Gets the result of evaluating the specified JavaScript snippet.
`java.lang.String` | `getExpression(java.lang.String expression)` Returns the specified expression.
`java.lang.String` | `getHtmlSource()` Returns the entire HTML source between the opening and closing "html" tags.
`java.lang.String` | `getLocation()` Gets the absolute URL of the current page.
`java.lang.String` | `getPrompt()` Retrieves the message of a JavaScript question prompt dialog generated during the previous action.
`java.lang.String` | `getSelectedId(java.lang.String selectLocator)` Gets option element ID for selected option in the specified select element.
`java.lang.String[]` | `getSelectedIds(java.lang.String selectLocator)` Gets all option element IDs for selected options in the specified select or multi-select element.
`java.lang.String` | `getSelectedIndex(java.lang.String selectLocator)` Gets option index (option number, starting at 0) for selected option in the specified select element.
`java.lang.String[]` | `getSelectedIndexes(java.lang.String selectLocator)` Gets all option indexes (option number, starting at 0) for selected options in the specified select or multi-select element.
`java.lang.String` | `getSelectedLabel(java.lang.String selectLocator)` Gets option label (visible text) for selected option in the specified select element.
`java.lang.String[]` | `getSelectedLabels(java.lang.String selectLocator)` Gets all option labels (visible text) for selected options in the specified select or multi-select element.
`java.lang.String` | `getSelectedValue(java.lang.String selectLocator)` Gets option value (value attribute) for selected option in the specified select element.
`java.lang.String[]` | `getSelectedValues(java.lang.String selectLocator)` Gets all option values (value attributes) for selected options in the specified select or multi-select element.
`java.lang.String[]` | `getSelectOptions(java.lang.String selectLocator)` Gets all option labels in the specified select drop-down.
`java.lang.String` | `getTable(java.lang.String tableCellAddress)` Gets the text from a cell of a table.
`java.lang.String` | `getText(java.lang.String locator)` Gets the text of an element.
`java.lang.String` | `getTitle()` Gets the title of the current page.
`java.lang.String` | `getValue(java.lang.String locator)` Gets the (whitespace-trimmed) value of an input field (or anything else with a value parameter).
`void` | `goBack()` Simulates the user clicking the "back" button on their browser.
`boolean` | `isAlertPresent()` Has an alert occurred?
`boolean` | `isChecked(java.lang.String locator)` Gets whether a toggle-button (checkbox/radio) is checked.
`boolean` | `isConfirmationPresent()` Has confirm() been called?
`boolean` | `isEditable(java.lang.String locator)` Determines whether the specified input element is editable, ie hasn't been disabled.
`boolean` | `isElementPresent(java.lang.String locator)` Verifies that the specified element is somewhere on the page.
`boolean` | `isPromptPresent()` Has a prompt occurred?
`boolean` | `isSomethingSelected(java.lang.String selectLocator)` Determines whether some option in a drop-down menu is selected.
`boolean` | `isTextPresent(java.lang.String pattern)` Verifies that the specified text pattern appears somewhere on the rendered page shown to the user.
`boolean` | `isVisible(java.lang.String locator)` Determines if the specified element is visible.
`void` | `keyDown(java.lang.String locator, java.lang.String keycode)` Simulates a user pressing a key (without releasing it yet).
`void` | `keyPress(java.lang.String locator, java.lang.String keycode)` Simulates a user pressing and releasing a key.
`void` | `keyUp(java.lang.String locator, java.lang.String keycode)` Simulates a user releasing a key.
`void` | `mouseDown(java.lang.String locator)` Simulates a user pressing the mouse button (without releasing it yet) on the specified element.
`void` | `mouseOver(java.lang.String locator)` Simulates a user hovering a mouse over the specified element.
`void` | `open(java.lang.String url)` Opens an URL in the test frame.
`void` | `refresh()` Simulates the user clicking the "Refresh" button on their browser.
`void` | `removeSelection(java.lang.String locator, java.lang.String optionLocator)` Remove a selection from the set of selected options in a multi-select element using an option locator.
`void` | `select(java.lang.String selectLocator, java.lang.String optionLocator)` Select an option from a drop-down using an option locator.
`void` | `selectWindow(java.lang.String windowID)` Selects a popup window; once a popup window has been selected, all commands go to that window.
`void` | `setContext(java.lang.String context, java.lang.String logLevelThreshold)` Writes a message to the status bar and adds a note to the browser-side log.
`void` | `setCursorPosition(java.lang.String locator, java.lang.String position)` Moves the text cursor to the specified position in the given input element or textarea.
`void` | `setTimeout(java.lang.String timeout)` Specifies the amount of time that Selenium will wait for actions to complete.
`void` | `start()` Launches the browser with a new Selenium session
`void` | `stop()` Ends the test session, killing the browser
`void` | `submit(java.lang.String formLocator)` Submit the specified form.
`void` | `type(java.lang.String locator, java.lang.String value)` Sets the value of an input field, as though you typed it in.
`void` | `uncheck(java.lang.String locator)` Uncheck a toggle-button (checkbox/radio)
`void` | `waitForCondition(java.lang.String script, java.lang.String timeout)` Runs the specified JavaScript snippet repeatedly until it evaluates to "true".
`void` | `waitForPageToLoad(java.lang.String timeout)` Waits for a new page to load.
`void` | `waitForPopUp(java.lang.String windowID, java.lang.String timeout)` Waits for a popup window to appear and load up.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### commandProcessor

    protected CommandProcessor commandProcessor

Constructor Detail

### DefaultSelenium

    public DefaultSelenium(java.lang.String serverHost,
                           int serverPort,
                           java.lang.String browserStartCommand,
                           java.lang.String browserURL)

  Uses a CommandBridgeClient, specifying a server host/port, a command to launch the browser, and a starting URL for the browser.

  browserString may be any one of the following:

  - `*firefox [absolute path]` - Automatically launch a new Firefox process using a custom Firefox profile. This profile will be automatically configured to use the Selenium Server as a proxy and to have all annoying prompts ("save your password?" "forms are insecure" "make Firefox your default browser?" disabled. You may optionally specify an absolute path to your firefox executable, or just say "*firefox". If no absolute path is specified, we'll look for firefox.exe in a default location (normally c:\program files\mozilla firefox\firefox.exe), which you can override by setting the Java system property `firefoxDefaultPath` to the correct path to Firefox.
  - `*iexplore [absolute path]` - Automatically launch a new Internet Explorer process using custom Windows registry settings. This process will be automatically configured to use the Selenium Server as a proxy and to have all annoying prompts ("save your password?" "forms are insecure" "make Firefox your default browser?" disabled. You may optionally specify an absolute path to your iexplore executable, or just say "*iexplore". If no absolute path is specified, we'll look for iexplore.exe in a default location (normally c:\program files\internet explorer\iexplore.exe), which you can override by setting the Java system property `iexploreDefaultPath` to the correct path to Internet Explorer.
  - `/path/to/my/browser [other arguments]` - You may also simply specify the absolute path to your browser executable, or use a relative path to your executable (which we'll try to find on your path). Warning: If you specify your own custom browser, it's up to you to configure it correctly. At a minimum, you'll need to configure your browser to use the Selenium Server as a proxy, and disable all browser-specific prompting.

Parameters:
  `serverHost` - the host name on which the Selenium Server resides
  `serverPort` - the port on which the Selenium Server is listening
  `browserURL` - the starting URL including just a domain name. We'll start the browser pointing at the Selenium resources on this URL, e.g. "http://www.google.com" would send the browser to "http://www.google.com/selenium-server/SeleneseRunner.html"

### DefaultSelenium

    public DefaultSelenium(CommandProcessor processor)

  Uses an arbitrary CommandProcessor

Method Detail

### start

    public void start()

  Description copied from interface: `Selenium`
  Launches the browser with a new Selenium session

  Specified by:
    `start` in interface `Selenium`

### stop

    public void stop()

  Description copied from interface: `Selenium`
  Ends the test session, killing the browser

  Specified by:
    `stop` in interface `Selenium`

### click

    public void click(java.lang.String locator)

  Description copied from interface: `Selenium`
  Clicks on a link, button, checkbox or radio button. If the click action causes a new page to load (like a link usually does), call waitForPageToLoad.

  Specified by:
    `click` in interface `Selenium`
  Parameters:
    `locator` - an element locator

### fireEvent

    public void fireEvent(java.lang.String locator,
                          java.lang.String eventName)

  Description copied from interface: `Selenium`
  Explicitly simulate an event, to trigger the corresponding "onevent" handler.

  Specified by:
    `fireEvent` in interface `Selenium`
  Parameters:
    `locator` - an element locator
    `eventName` - the event name, e.g. "focus" or "blur"

### keyPress

    public void keyPress(java.lang.String locator,
                         java.lang.String keycode)

  Description copied from interface: `Selenium`
  Simulates a user pressing and releasing a key.

  Specified by:
    `keyPress` in interface `Selenium`
  Parameters:
    `locator` - an element locator
    `keycode` - the numeric keycode of the key to be pressed, normally the ASCII value of that key.

### keyDown

    public void keyDown(java.lang.String locator,
                        java.lang.String keycode)

  Description copied from interface: `Selenium`
  Simulates a user pressing a key (without releasing it yet).

  Specified by:
    `keyDown` in interface `Selenium`
  Parameters:
    `locator` - an element locator
    `keycode` - the numeric keycode of the key to be pressed, normally the ASCII value of that key.

### keyUp

    public void keyUp(java.lang.String locator,
                      java.lang.String keycode)

  Description copied from interface: `Selenium`
  Simulates a user releasing a key.

  Specified by:
    `keyUp` in interface `Selenium`
  Parameters:
    `locator` - an element locator
    `keycode` - the numeric keycode of the key to be released, normally the ASCII value of that key.

### mouseOver

    public void mouseOver(java.lang.String locator)

  Description copied from interface: `Selenium`
  Simulates a user hovering a mouse over the specified element.

  Specified by:
    `mouseOver` in interface `Selenium`
  Parameters:
    `locator` - an element locator

### mouseDown

    public void mouseDown(java.lang.String locator)

  Description copied from interface: `Selenium`
  Simulates a user pressing the mouse button (without releasing it yet) on the specified element.

  Specified by:
    `mouseDown` in interface `Selenium`
  Parameters:
    `locator` - an element locator

### type

    public void type(java.lang.String locator,
                     java.lang.String value)

  Description copied from interface: `Selenium`
  Sets the value of an input field, as though you typed it in.

  Can also be used to set the value of combo boxes, check boxes, etc. In these cases, value should be the value of the option selected, not the visible text.

  Specified by:
    `type` in interface `Selenium`
  Parameters:
    `locator` - an element locator
    `value` - the value to type

### check

    public void check(java.lang.String locator)

  Description copied from interface: `Selenium`
  Check a toggle-button (checkbox/radio)

  Specified by:
    `check` in interface `Selenium`
  Parameters:
    `locator` - an element locator

### uncheck

    public void uncheck(java.lang.String locator)

  Description copied from interface: `Selenium`
  Uncheck a toggle-button (checkbox/radio)

  Specified by:
    `uncheck` in interface `Selenium`
  Parameters:
    `locator` - an element locator

### select

    public void select(java.lang.String selectLocator,
                       java.lang.String optionLocator)

  Description copied from interface: `Selenium`
  Select an option from a drop-down using an option locator.

  Option locators provide different ways of specifying options of an HTML Select element (e.g. for selecting a specific option, or for asserting that the selected option satisfies a specification). There are several forms of Select Option Locator.

  label=labelPattern
    matches options based on their labels, i.e. the visible text. (This is the default.)
    - label=regexp:^[Oo]ther
  value=valuePattern
    matches options based on their values.
    - value=other
  id=id
    matches options based on their ids.
    - id=option1
  index=index
    matches an option based on its index (offset from zero).
    - index=2

  If no option locator prefix is provided, the default behaviour is to match on label.

  Specified by:
    `select` in interface `Selenium`
  Parameters:
    `selectLocator` - an element locator identifying a drop-down menu
    `optionLocator` - an option locator (a label by default)

### addSelection

    public void addSelection(java.lang.String locator,
                             java.lang.String optionLocator)

  Description copied from interface: `Selenium`
  Add a selection to the set of selected options in a multi-select element using an option locator.

  Specified by:
    `addSelection` in interface `Selenium`
  Parameters:
    `locator` - an element locator identifying a multi-select box
    `optionLocator` - an option locator (a label by default)
  See Also:
    `for details of option locators`

### removeSelection

    public void removeSelection(java.lang.String locator,
                                java.lang.String optionLocator)

  Description copied from interface: `Selenium`
  Remove a selection from the set of selected options in a multi-select element using an option locator.

  Specified by:
    `removeSelection` in interface `Selenium`
  Parameters:
    `locator` - an element locator identifying a multi-select box
    `optionLocator` - an option locator (a label by default)
  See Also:
    `for details of option locators`

### submit

    public void submit(java.lang.String formLocator)

  Description copied from interface: `Selenium`
  Submit the specified form. This is particularly useful for forms without submit buttons, e.g. single-input "Search" forms.

  Specified by:
    `submit` in interface `Selenium`
  Parameters:
    `formLocator` - an element locator for the form you want to submit

### open

    public void open(java.lang.String url)

  Description copied from interface: `Selenium`
  Opens an URL in the test frame. This accepts both relative and absolute URLs. The "open" command waits for the page to load before proceeding, ie. the "AndWait" suffix is implicit. Note: The URL must be on the same domain as the runner HTML due to security restrictions in the browser (Same Origin Policy). If you need to open an URL on another domain, use the Selenium Server to start a new browser session on that domain.

  Specified by:
    `open` in interface `Selenium`
  Parameters:
    `url` - the URL to open; may be relative or absolute

### selectWindow

    public void selectWindow(java.lang.String windowID)

  Description copied from interface: `Selenium`
  Selects a popup window; once a popup window has been selected, all commands go to that window. To select the main window again, use "null" as the target.

  Specified by:
    `selectWindow` in interface `Selenium`
  Parameters:
    `windowID` - the JavaScript window ID of the window to select

### waitForPopUp

    public void waitForPopUp(java.lang.String windowID,
                             java.lang.String timeout)

  Description copied from interface: `Selenium`
  Waits for a popup window to appear and load up.

  Specified by:
    `waitForPopUp` in interface `Selenium`
  Parameters:
    `windowID` - the JavaScript window ID of the window that will appear
    `timeout` - a timeout in milliseconds, after which the action will return with an error

### chooseCancelOnNextConfirmation

    public void chooseCancelOnNextConfirmation()

  Description copied from interface: `Selenium`
  By default, Selenium's overridden window.confirm() function will return true, as if the user had manually clicked OK. After running this command, the next call to confirm() will return false, as if the user had clicked Cancel.

  Specified by:
    `chooseCancelOnNextConfirmation` in interface `Selenium`

### answerOnNextPrompt

    public void answerOnNextPrompt(java.lang.String answer)

  Description copied from interface: `Selenium`
  Instructs Selenium to return the specified answer string in response to the next JavaScript prompt [window.prompt()].

  Specified by:
    `answerOnNextPrompt` in interface `Selenium`
  Parameters:
    `answer` - the answer to give in response to the prompt pop-up

### goBack

    public void goBack()

  Description copied from interface: `Selenium`
  Simulates the user clicking the "back" button on their browser.

  Specified by:
    `goBack` in interface `Selenium`

### refresh

    public void refresh()

  Description copied from interface: `Selenium`
  Simulates the user clicking the "Refresh" button on their browser.

  Specified by:
    `refresh` in interface `Selenium`

### close

    public void close()

  Description copied from interface: `Selenium`
  Simulates the user clicking the "close" button in the titlebar of a popup window or tab.

  Specified by:
    `close` in interface `Selenium`

### isAlertPresent

    public boolean isAlertPresent()

  Description copied from interface: `Selenium`
  Has an alert occurred?

  This function never throws an exception

  Specified by:
    `isAlertPresent` in interface `Selenium`
  Returns:
    true if there is an alert

### isPromptPresent

    public boolean isPromptPresent()

  Description copied from interface: `Selenium`
  Has a prompt occurred?

  This function never throws an exception

  Specified by:
    `isPromptPresent` in interface `Selenium`
  Returns:
    true if there is a pending prompt

### isConfirmationPresent

    public boolean isConfirmationPresent()

  Description copied from interface: `Selenium`
  Has confirm() been called?

  This function never throws an exception

  Specified by:
    `isConfirmationPresent` in interface `Selenium`
  Returns:
    true if there is a pending confirmation

### getAlert

    public java.lang.String getAlert()

  Description copied from interface: `Selenium`
  Retrieves the message of a JavaScript alert generated during the previous action, or fail if there were no alerts.

  Getting an alert has the same effect as manually clicking OK. If an alert is generated but you do not get/verify it, the next Selenium action will fail.

  NOTE: under Selenium, JavaScript alerts will NOT pop up a visible alert dialog.

  NOTE: Selenium does NOT support JavaScript alerts that are generated in a page's onload() event handler. In this case a visible dialog WILL be generated and Selenium will hang until someone manually clicks OK.

  Specified by:
    `getAlert` in interface `Selenium`
  Returns:
    The message of the most recent JavaScript alert

### getConfirmation

    public java.lang.String getConfirmation()

  Description copied from interface: `Selenium`
  Retrieves the message of a JavaScript confirmation dialog generated during the previous action.

  By default, the confirm function will return true, having the same effect as manually clicking OK. This can be changed by prior execution of the chooseCancelOnNextConfirmation command. If an confirmation is generated but you do not get/verify it, the next Selenium action will fail.

  NOTE: under Selenium, JavaScript confirmations will NOT pop up a visible dialog.

  NOTE: Selenium does NOT support JavaScript confirmations that are generated in a page's onload() event handler. In this case a visible dialog WILL be generated and Selenium will hang until you manually click OK.

  Specified by:
    `getConfirmation` in interface `Selenium`
  Returns:
    the message of the most recent JavaScript confirmation dialog

### getPrompt

    public java.lang.String getPrompt()

  Description copied from interface: `Selenium`
  Retrieves the message of a JavaScript question prompt dialog generated during the previous action.

  Successful handling of the prompt requires prior execution of the answerOnNextPrompt command. If a prompt is generated but you do not get/verify it, the next Selenium action will fail.

  NOTE: under Selenium, JavaScript prompts will NOT pop up a visible dialog.

  NOTE: Selenium does NOT support JavaScript prompts that are generated in a page's onload() event handler. In this case a visible dialog WILL be generated and Selenium will hang until someone manually clicks OK.

  Specified by:
    `getPrompt` in interface `Selenium`
  Returns:
    the message of the most recent JavaScript question prompt

### getLocation

    public java.lang.String getLocation()

  Description copied from interface: `Selenium`
  Gets the absolute URL of the current page.

  Specified by:
    `getLocation` in interface `Selenium`
  Returns:
    the absolute URL of the current page

### getTitle

    public java.lang.String getTitle()

  Description copied from interface: `Selenium`
  Gets the title of the current page.

  Specified by:
    `getTitle` in interface `Selenium`
  Returns:
    the title of the current page

### getBodyText

    public java.lang.String getBodyText()

  Description copied from interface: `Selenium`
  Gets the entire text of the page.

  Specified by:
    `getBodyText` in interface `Selenium`
  Returns:
    the entire text of the page

### getValue

    public java.lang.String getValue(java.lang.String locator)

  Description copied from interface: `Selenium`
  Gets the (whitespace-trimmed) value of an input field (or anything else with a value parameter). For checkbox/radio elements, the value will be "on" or "off" depending on whether the element is checked or not.

  Specified by:
    `getValue` in interface `Selenium`
  Parameters:
    `locator` - an element locator
  Returns:
    the element value, or "on/off" for checkbox/radio elements

### getText

    public java.lang.String getText(java.lang.String locator)

  Description copied from interface: `Selenium`
  Gets the text of an element. This works for any element that contains text. This command uses either the textContent (Mozilla-like browsers) or the innerText (IE-like browsers) of the element, which is the rendered text shown to the user.

  Specified by:
    `getText` in interface `Selenium`
  Parameters:
    `locator` - an element locator
  Returns:
    the text of the element

### getEval

    public java.lang.String getEval(java.lang.String script)

  Description copied from interface: `Selenium`
  Gets the result of evaluating the specified JavaScript snippet. The snippet may have multiple lines, but only the result of the last line will be returned.

  Note that, by default, the snippet will run in the context of the "selenium" object itself, so `this` will refer to the Selenium object, and `window` will refer to the top-level runner test window, not the window of your application.

  If you need a reference to the window of your application, you can refer to `this.browserbot.getCurrentWindow()` and if you need to use a locator to refer to a single element in your application page, you can use `this.page().findElement("foo")` where "foo" is your locator.

  Specified by:
    `getEval` in interface `Selenium`
  Parameters:
    `script` - the JavaScript snippet to run
  Returns:
    the results of evaluating the snippet

### isChecked

    public boolean isChecked(java.lang.String locator)

  Description copied from interface: `Selenium`
  Gets whether a toggle-button (checkbox/radio) is checked. Fails if the specified element doesn't exist or isn't a toggle-button.

  Specified by:
    `isChecked` in interface `Selenium`
  Parameters:
    `locator` - an element locator pointing to a checkbox or radio button
  Returns:
    true if the checkbox is checked, false otherwise

### getTable

    public java.lang.String getTable(java.lang.String tableCellAddress)

  Description copied from interface: `Selenium`
  Gets the text from a cell of a table. The cellAddress syntax tableLocator.row.column, where row and column start at 0.

  Specified by:
    `getTable` in interface `Selenium`
  Parameters:
    `tableCellAddress` - a cell address, e.g. "foo.1.4"
  Returns:
    the text from the specified cell

### getSelectedLabels

    public java.lang.String[] getSelectedLabels(java.lang.String selectLocator)

  Description copied from interface: `Selenium`
  Gets all option labels (visible text) for selected options in the specified select or multi-select element.

  Specified by:
    `getSelectedLabels` in interface `Selenium`
  Parameters:
    `selectLocator` - an element locator identifying a drop-down menu
  Returns:
    an array of all selected option labels in the specified select drop-down

### getSelectedLabel

    public java.lang.String getSelectedLabel(java.lang.String selectLocator)

  Description copied from interface: `Selenium`
  Gets option label (visible text) for selected option in the specified select element.

  Specified by:
    `getSelectedLabel` in interface `Selenium`
  Parameters:
    `selectLocator` - an element locator identifying a drop-down menu
  Returns:
    the selected option label in the specified select drop-down

### getSelectedValues

    public java.lang.String[] getSelectedValues(java.lang.String selectLocator)

  Description copied from interface: `Selenium`
  Gets all option values (value attributes) for selected options in the specified select or multi-select element.

  Specified by:
    `getSelectedValues` in interface `Selenium`
  Parameters:
    `selectLocator` - an element locator identifying a drop-down menu
  Returns:
    an array of all selected option values in the specified select drop-down

### getSelectedValue

    public java.lang.String getSelectedValue(java.lang.String selectLocator)

  Description copied from interface: `Selenium`
  Gets option value (value attribute) for selected option in the specified select element.

  Specified by:
    `getSelectedValue` in interface `Selenium`
  Parameters:
    `selectLocator` - an element locator identifying a drop-down menu
  Returns:
    the selected option value in the specified select drop-down

### getSelectedIndexes

    public java.lang.String[] getSelectedIndexes(java.lang.String selectLocator)

  Description copied from interface: `Selenium`
  Gets all option indexes (option number, starting at 0) for selected options in the specified select or multi-select element.

  Specified by:
    `getSelectedIndexes` in interface `Selenium`
  Parameters:
    `selectLocator` - an element locator identifying a drop-down menu
  Returns:
    an array of all selected option indexes in the specified select drop-down

### getSelectedIndex

    public java.lang.String getSelectedIndex(java.lang.String selectLocator)

  Description copied from interface: `Selenium`
  Gets option index (option number, starting at 0) for selected option in the specified select element.

  Specified by:
    `getSelectedIndex` in interface `Selenium`
  Parameters:
    `selectLocator` - an element locator identifying a drop-down menu
  Returns:
    the selected option index in the specified select drop-down

### getSelectedIds

    public java.lang.String[] getSelectedIds(java.lang.String selectLocator)

  Description copied from interface: `Selenium`
  Gets all option element IDs for selected options in the specified select or multi-select element.

  Specified by:
    `getSelectedIds` in interface `Selenium`
  Parameters:
    `selectLocator` - an element locator identifying a drop-down menu
  Returns:
    an array of all selected option IDs in the specified select drop-down

### getSelectedId

    public java.lang.String getSelectedId(java.lang.String selectLocator)

  Description copied from interface: `Selenium`
  Gets option element ID for selected option in the specified select element.

  Specified by:
    `getSelectedId` in interface `Selenium`
  Parameters:
    `selectLocator` - an element locator identifying a drop-down menu
  Returns:
    the selected option ID in the specified select drop-down

### isSomethingSelected

    public boolean isSomethingSelected(java.lang.String selectLocator)

  Description copied from interface: `Selenium`
  Determines whether some option in a drop-down menu is selected.

  Specified by:
    `isSomethingSelected` in interface `Selenium`
  Parameters:
    `selectLocator` - an element locator identifying a drop-down menu
  Returns:
    true if some option has been selected, false otherwise

### getSelectOptions

    public java.lang.String[] getSelectOptions(java.lang.String selectLocator)

  Description copied from interface: `Selenium`
  Gets all option labels in the specified select drop-down.

  Specified by:
    `getSelectOptions` in interface `Selenium`
  Parameters:
    `selectLocator` - an element locator identifying a drop-down menu
  Returns:
    an array of all option labels in the specified select drop-down

### getAttribute

    public java.lang.String getAttribute(java.lang.String attributeLocator)

  Description copied from interface: `Selenium`
  Gets the value of an element attribute.

  Specified by:
    `getAttribute` in interface `Selenium`
  Parameters:
    `attributeLocator` - an element locator followed by an
  Returns:
    the value of the specified attribute

### isTextPresent

    public boolean isTextPresent(java.lang.String pattern)

  Description copied from interface: `Selenium`
  Verifies that the specified text pattern appears somewhere on the rendered page shown to the user.

  Specified by:
    `isTextPresent` in interface `Selenium`
  Parameters:
    `pattern` - a pattern to match with the text of the page
  Returns:
    true if the pattern matches the text, false otherwise

### isElementPresent

    public boolean isElementPresent(java.lang.String locator)

  Description copied from interface: `Selenium`
  Verifies that the specified element is somewhere on the page.

  Specified by:
    `isElementPresent` in interface `Selenium`
  Parameters:
    `locator` - an element locator
  Returns:
    true if the element is present, false otherwise

### isVisible

    public boolean isVisible(java.lang.String locator)

  Description copied from interface: `Selenium`
  Determines if the specified element is visible. An element can be rendered invisible by setting the CSS "visibility" property to "hidden", or the "display" property to "none", either for the element itself or one if its ancestors. This method will fail if the element is not present.

  Specified by:
    `isVisible` in interface `Selenium`
  Parameters:
    `locator` - an element locator
  Returns:
    true if the specified element is visible, false otherwise

### isEditable

    public boolean isEditable(java.lang.String locator)

  Description copied from interface: `Selenium`
  Determines whether the specified input element is editable, ie hasn't been disabled. This method will fail if the specified element isn't an input element.

  Specified by:
    `isEditable` in interface `Selenium`
  Parameters:
    `locator` - an element locator
  Returns:
    true if the input element is editable, false otherwise

### getAllButtons

    public java.lang.String[] getAllButtons()

  Description copied from interface: `Selenium`
  Returns the IDs of all buttons on the page.

  If a given button has no ID, it will appear as "" in this array.

  Specified by:
    `getAllButtons` in interface `Selenium`
  Returns:
    the IDs of all buttons on the page

### getAllLinks

    public java.lang.String[] getAllLinks()

  Description copied from interface: `Selenium`
  Returns the IDs of all links on the page.

  If a given link has no ID, it will appear as "" in this array.

  Specified by:
    `getAllLinks` in interface `Selenium`
  Returns:
    the IDs of all links on the page

### getAllFields

    public java.lang.String[] getAllFields()

  Description copied from interface: `Selenium`
  Returns the IDs of all input fields on the page.

  If a given field has no ID, it will appear as "" in this array.

  Specified by:
    `getAllFields` in interface `Selenium`
  Returns:
    the IDs of all field on the page

### getHtmlSource

    public java.lang.String getHtmlSource()

  Description copied from interface: `Selenium`
  Returns the entire HTML source between the opening and closing "html" tags.

  Specified by:
    `getHtmlSource` in interface `Selenium`
  Returns:
    the entire HTML source

### setCursorPosition

    public void setCursorPosition(java.lang.String locator,
                                  java.lang.String position)

  Description copied from interface: `Selenium`
  Moves the text cursor to the specified position in the given input element or textarea. This method will fail if the specified element isn't an input element or textarea.

  Specified by:
    `setCursorPosition` in interface `Selenium`
  Parameters:
    `locator` - an element locator pointing to an input element or textarea
    `position` - the numerical position of the cursor in the field; position should be 0 to move the position to the beginning of the field. You can also set the cursor to -1 to move it to the end of the field.

### getCursorPosition

    public java.lang.Number getCursorPosition(java.lang.String locator)

  Description copied from interface: `Selenium`
  Retrieves the text cursor position in the given input element or textarea; beware, this may not work perfectly on all browsers.

  Specifically, if the cursor/selection has been cleared by JavaScript, this command will tend to return the position of the last location of the cursor, even though the cursor is now gone from the page. This is filed as SEL-243.

  This method will fail if the specified element isn't an input element or textarea, or there is no cursor in the element.

  Specified by:
    `getCursorPosition` in interface `Selenium`
  Parameters:
    `locator` - an element locator pointing to an input element or textarea
  Returns:
    the numerical position of the cursor in the field

### setContext

    public void setContext(java.lang.String context,
                           java.lang.String logLevelThreshold)

  Description copied from interface: `Selenium`
  Writes a message to the status bar and adds a note to the browser-side log.

  If logLevelThreshold is specified, set the threshold for logging to that level (debug, info, warn, error).

  (Note that the browser-side logs will not be sent back to the server, and are invisible to the Client Driver.)

  Specified by:
    `setContext` in interface `Selenium`
  Parameters:
    `context` - the message to be sent to the browser
    `logLevelThreshold` - one of "debug", "info", "warn", "error", sets the threshold for browser-side logging

### getExpression

    public java.lang.String getExpression(java.lang.String expression)

  Description copied from interface: `Selenium`
  Returns the specified expression.

  This is useful because of JavaScript preprocessing. It is used to generate commands like assertExpression and waitForExpression.

  Specified by:
    `getExpression` in interface `Selenium`
  Parameters:
    `expression` - the value to return
  Returns:
    the value passed in

### waitForCondition

    public void waitForCondition(java.lang.String script,
                                 java.lang.String timeout)

  Description copied from interface: `Selenium`
  Runs the specified JavaScript snippet repeatedly until it evaluates to "true". The snippet may have multiple lines, but only the result of the last line will be considered.

  Note that, by default, the snippet will be run in the runner's test window, not in the window of your application. To get the window of your application, you can use the JavaScript snippet `selenium.browserbot.getCurrentWindow()`, and then run your JavaScript in there

  Specified by:
    `waitForCondition` in interface `Selenium`
  Parameters:
    `script` - the JavaScript snippet to run
    `timeout` - a timeout in milliseconds, after which this command will return with an error

### setTimeout

    public void setTimeout(java.lang.String timeout)

  Description copied from interface: `Selenium`
  Specifies the amount of time that Selenium will wait for actions to complete.

  Actions that require waiting include "open" and the "waitFor*" actions.

  The default timeout is 30 seconds.

  Specified by:
    `setTimeout` in interface `Selenium`
  Parameters:
    `timeout` - a timeout in milliseconds, after which the action will return with an error

### waitForPageToLoad

    public void waitForPageToLoad(java.lang.String timeout)

  Description copied from interface: `Selenium`
  Waits for a new page to load.

  You can use this command instead of the "AndWait" suffixes, "clickAndWait", "selectAndWait", "typeAndWait" etc. (which are only available in the JS API).

  Selenium constantly keeps track of new pages loading, and sets a "newPageLoaded" flag when it first notices a page load. Running any other Selenium command after turns the flag to false. Hence, if you want to wait for a page to load, you must wait immediately after a Selenium command that caused a page-load.

  Specified by:
    `waitForPageToLoad` in interface `Selenium`
  Parameters:
    `timeout` - a timeout in milliseconds, after which this command will return with an error

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 null. All Rights Reserved.